
.close {
    color: #f4f0f0;
    float: right;
    font-size: 28px;
    font-weight: bold;
    position: absolute;
    right: 20px;
    top: 10px;
}

.close:hover,
.close:focus {
    color: #fffdfd;
    text-decoration: none;
    cursor: pointer;
}

.modal {
    
    display: none;
    position: fixed;
    z-index: 100;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgba(0,0,0,0.3);
    -webkit-animation-name: fadeIn;
    -webkit-animation-duration: 1.2s;
}

/* Modal Content */
.modal-content {
    position: relative;
    -webkit-animation-name: slideIn;
    -webkit-animation-duration: 1s;
}


/* Add Animation */
@-webkit-keyframes slideIn {
    from {bottom: -300px; opacity: 0} 
    to {bottom: 0; opacity: 1}
}

@keyframes slideIn {
    from {bottom: -300px; opacity: 0}
    to {bottom: 0; opacity: 1}
}

@-webkit-keyframes fadeIn {
    from {opacity: 0} 
    to {opacity: 1}
}

@keyframes fadeIn {
    from {opacity: 0} 
    to {opacity: 1}
}

/* above section will be removed once replaced by the alternative */
/* new overlay styles */


* {
    outline: 0 !important;
}

.no-display {
    display: none;
}

.overlay-mask {
    position: fixed;
    overflow: auto;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    background: rgb(0 0 0 / 60%);
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: center;
    padding: 30px;
    z-index: 10;
}


.overlay-wrapper {
    max-width: 75vw;
    min-width: 400px;
    max-height: 90vh;
    min-height: 190px;
    
    width: fit-content;
    height: 90vh;

    border-radius: 10px;
    overflow: hidden;
    position: relative;
    
    border-radius: 10px;
    overflow: hidden;
    padding: 10px;
    background-color: #FFFFFF;
}

.no-padding {
    padding:0;
}

.padding-top-5 {
    padding-top: 5px;
}

.overlay-header {
    height: 40px;
    position: relative;
}

.overlay-header {
    height: 40px;
    position: relative;
}

.overlay-header-grad {
    padding-top: 5px;
    background-image: linear-gradient(rgb(231, 239, 246), rgb(242, 247, 252), rgb(238, 245, 253));
}

.overlay-footer {
    height: 5%;
}
.overlay-content {
    height: 94%;
    overflow-y: auto;
    overflow-x: hidden;
}

.overlay-close {
    position: absolute;
    right: 0;
    cursor: pointer;
    background-image: url("../img/close-43.svg");
    background-repeat: no-repeat;
    background-size: cover;
    width: 32px;
    height: 32px;
    border-radius: 50%;
}

.overlay-logo {
    position: absolute;
    left: 0;
    background-image: url("../img/newlogo1svg.svg");
    background-repeat: no-repeat;
    background-size: contain;
    width: 100px;
    height: 30px;
}

.overlay-logo-no-text {
    position: absolute;
    left: 0;
    background-image: url("../img/logo-without-text.png");
    background-repeat: no-repeat;
    background-size: contain;
    width: 100px;
    height: 30px;
}

.left-10 {
    left: 10px;
}

.right-10 {
    right:10px;
}

.overlay-mask {
    position: fixed;
    overflow: auto;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    background: rgb(0 0 0 / 60%);
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: center;
    padding: 30px;
}

.overlay-mask {
    opacity: 0;
    visibility: hidden;
}

.overlay-mask.open-modal {
    opacity: 1;
    visibility: visible;
}

.overlay-mask .overlay-wrapper {
    -webkit-transform: scale(0);
    -moz-transform: scale(0);
    -ms-transform: scale(0);
    -o-transform: scale(0);
    transform: scale(0);
}

.open-modal .overlay-wrapper {
    -webkit-transform: scale(1);
    -moz-transform: scale(1);
    -ms-transform: scale(1);
    -o-transform: scale(1);
    transform: scale(1);
}

.overlay-mask,
.overlay-mask .overlay-wrapper,
.open-modal .overlay-mask .overlay-wrapper
{
    -webkit-transition: all 0.5s;
    -moz-transition: all 0.5s;
    -ms-transition: all 0.5s;
    -o-transition: all 0.5s;
    transition: all 0.5s;
}

.no-highlight {
    user-select: none;
    -moz-user-select: none;
    -webkit-text-select: none;
    -webkit-user-select: none;
 }

.loader-item {
    position: absolute;
    margin: auto;
    /* border: 10px solid #EAF0F6; */
    border-radius: 50%;
    border-top: 10px solid #0f3ef9;
    border-bottom: 10px solid #08953e;
    width: 50px;
    height: 50px;
    animation: spinner 2s linear infinite;
    top:calc(50% - 25px);
    left:calc(50% - 25px);
}

@keyframes spinner {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
}


@media (max-width: 575.98px) {}

@media (max-width: 450px) {
    
    .overlay-wrapper {
        max-width: 75vw;
        min-width: 350px;
        max-height: 90vh;
        min-height: 100px;
    }
}
